{% extends 'people/profile.html' %}
{% load static %}
{% block css %}
  <link rel="stylesheet" href="{% static "people/css/load.css" %}">
{% endblock %}
{% load django_bootstrap_breadcrumbs %}
{% load mptt_tags %}
{% block title %}Нагрузка{% endblock %}
{% block breadcrumbs %}
  {{ block.super }}
  {% breadcrumb rate "people:rate_loads" rate.id %}
{% endblock %}
{% block content %}
  {% render_breadcrumbs %}
  <section class="container-fluid flex-grow">

    <div class="row">
      <div class="col-auto">
        <h3>{{ rate }}</h3>
      </div>
      <div class="col">
        {% if user.is_staff %}
          <a href="/admin/people/loadname/" class="btn btn-outline-primary" role="button">Шаблоны названий</a>
          <a href="{% url 'people:export_loads' %}" class="btn btn-outline-primary" role="button">Экспорт в xlsx</a>
        {% endif %}
      </div>
    </div>

    <div class="row">
      <div class="col">

        <nav>
          <div class="nav nav-tabs" id="nav-tab" role="tablist">
            <a class="nav-item nav-link active" id="nav-2-tab" data-toggle="tab" href="#nav-2" role="tab"
               aria-controls="nav-2" aria-selected="true">II</a>
            <a class="nav-item nav-link" id="nav-3-tab" data-toggle="tab" href="#nav-3" role="tab"
               aria-controls="nav-3" aria-selected="false">III</a>
            <a class="nav-item nav-link" id="nav-4-tab" data-toggle="tab" href="#nav-4" role="tab"
               aria-controls="nav-4" aria-selected="false">IV</a>
          </div>
        </nav>
        <div class="tab-content" id="nav-tabContent">

          <div class="tab-pane fade show active" id="nav-2" role="tabpanel" aria-labelledby="nav-2-tab">
            <h4>Учебно-методическая работа</h4>
            <table class="table table-sm table-bordered">
              <thead>
              <tr>
                <th scope="col" rowspan="2">#</th>
                <th scope="col" rowspan="2">Наименование и вид работ</th>
                <th scope="col" colspan="2" style="text-align: center">Трудоёмкость(часов)</th>
                <th scope="col" colspan="2" style="text-align: center">Срок выполнения(дата или период)</th>
              </tr>
              <tr>
                <th scope="col">планируемая</th>
                <th scope="col">фактическая</th>
                <th scope="col">планируемый</th>
                <th scope="col">фактический</th>
              </tr>
              </thead>
              <tbody>
              <tr>
                <td colspan="6"><a href="{% url 'people:add_load' rate.id 2 %}"
                                   class="btn btn-block btn-link" role="button">Добавить</a></td>
              </tr>
              {% for load in ii_loads %}
                <tr>
                  <th scope="row">{{ forloop.counter }}</th>
                  <td><a href="{% url 'people:edit_load' rate.id 2 load.id %}" title="Изменить"><i
                      class="far fa-edit"></i></a>
                    <a href="{% url 'people:delete_load' load.id %}"
                       onclick="return confirm('Удалить {{ load.name }}?')"
                       title="Удалить"><i class="far fa-trash-alt"></i></a> {{ load.name }}</td>
                  <td>{{ load.planned_labor|default_if_none:'0' }}</td>
                  <td>{{ load.actual_labor|default_if_none:'0' }}</td>
                  <td>{{ load.planned_due_date|default_if_none:'-' }}</td>
                  <td>{{ load.actual_due_date|default_if_none:'-' }}</td>
                </tr>
              {% endfor %}
              <tr>
                <th colspan="2">Итого:</th>
                <th>{{ ii_pl_sum.planned_labor__sum|default_if_none:'0' }}</th>
                <th>{{ ii_ac_sum.actual_labor__sum|default_if_none:'0' }}</th>
              </tr>

              </tbody>
            </table>

          </div>
          <div class="tab-pane fade" id="nav-3" role="tabpanel" aria-labelledby="nav-3-tab">
            <h4>Научно-исследовательская работа</h4>
            <table class="table table-sm table-bordered">
              <thead>
              <tr>
                <th scope="col" rowspan="2">#</th>
                <th scope="col" rowspan="2">Наименование и вид работ</th>
                <th scope="col" colspan="2" style="text-align: center">Трудоёмкость(часов)</th>
                <th scope="col" colspan="2" style="text-align: center">Срок выполнения(дата или период)</th>
              </tr>
              <tr>
                <th scope="col">планируемая</th>
                <th scope="col">фактическая</th>
                <th scope="col">планируемый</th>
                <th scope="col">фактический</th>
              </tr>
              </thead>
              <tbody>
              <tr>
                <td colspan="6"><a href="{% url 'people:add_load' rate.id 3 %}"
                                   class="btn btn-block btn-link" role="button">Добавить</a></td>
              </tr>
              {% for load in iii_loads %}
                <tr>
                  <th scope="row">{{ forloop.counter }}</th>
                  <td><a href="{% url 'people:edit_load' rate.id 3 load.id %}" title="Изменить"><i
                      class="far fa-edit"></i></a>
                    <a href="{% url 'people:delete_load' load.id %}"
                       onclick="return confirm('Удалить {{ load.name }}?')"
                       title="Удалить"><i class="far fa-trash-alt"></i></a> {{ load.name }}</td>
                  <td>{{ load.planned_labor|default_if_none:'0' }}</td>
                  <td>{{ load.actual_labor|default_if_none:'0' }}</td>
                  <td>{{ load.planned_due_date|default_if_none:'-' }}</td>
                  <td>{{ load.actual_due_date|default_if_none:'-' }}</td>
                </tr>
              {% endfor %}
              <tr>
                <th colspan="2">Итого:</th>
                <th>{{ iii_pl_sum.planned_labor__sum|default_if_none:'0' }}</th>
                <th>{{ iii_ac_sum.actual_labor__sum|default_if_none:'0' }}</th>
              </tr>

              </tbody>
            </table>

          </div>
          <div class="tab-pane fade" id="nav-4" role="tabpanel" aria-labelledby="nav-4-tab">
            <h4>Организационно-методическая и воспитательная работа</h4>
            <table class="table table-sm table-bordered">
              <thead>
              <tr>
                <th scope="col" rowspan="2">#</th>
                <th scope="col" rowspan="2">Наименование и вид работ</th>
                <th scope="col" colspan="2" style="text-align: center">Трудоёмкость(часов)</th>
                <th scope="col" colspan="2" style="text-align: center">Срок выполнения(дата или период)</th>
              </tr>
              <tr>
                <th scope="col">планируемая</th>
                <th scope="col">фактическая</th>
                <th scope="col">планируемый</th>
                <th scope="col">фактический</th>
              </tr>
              </thead>
              <tbody>
              <tr>
                <td colspan="6"><a href="{% url 'people:add_load' rate.id 4 %}"
                                   class="btn btn-block btn-link" role="button">Добавить</a></td>
              </tr>
              {% for load in iv_loads %}
                <tr>
                  <th scope="row">{{ forloop.counter }}</th>
                  <td><a href="{% url 'people:edit_load' rate.id 4 load.id %}" title="Изменить"><i
                      class="far fa-edit"></i></a>
                    <a href="{% url 'people:delete_load' load.id %}"
                       onclick="return confirm('Удалить {{ load.name }}?')"
                       title="Удалить"><i class="far fa-trash-alt"></i></a> {{ load.name }}</td>
                  <td>{{ load.planned_labor|default_if_none:'0' }}</td>
                  <td>{{ load.actual_labor|default_if_none:'0' }}</td>
                  <td>{{ load.planned_due_date|default_if_none:'-' }}</td>
                  <td>{{ load.actual_due_date|default_if_none:'-' }}</td>
                </tr>
              {% endfor %}
              <tr>
                <th colspan="2">Итого:</th>
                <th>{{ iv_pl_sum.planned_labor__sum|default_if_none:'0' }}</th>
                <th>{{ iv_ac_sum.actual_labor__sum|default_if_none:'0' }}</th>
              </tr>

              </tbody>
            </table>

          </div>
        </div>


        {#        {% regroup loads by rate as rate_load_list %}#}
        {#        {% for rate in rate_load_list %}#}
        {#          <li>{{ rate.grouper }}</li>#}
        {#          {% regroup rate_load_list by category as load_list %}#}
        {##}
        {#          <h5>Планируемая[{{ sum_planned_total.labour_intensity__sum|default_if_none:'0' }} ч.]</h5>#}
        {#          <ul>#}
        {#            {% for category in load_list %}#}
        {#              <li>#}
        {#                <h6>#}
        {#                  {{ category.grouper }}#}
        {#                  {% if forloop.counter == 1 %}#}
        {#                    [{{ sum_planned_2.labour_intensity__sum|default_if_none:'0' }} ч.]#}
        {#                  {% elif forloop.counter == 2 %}#}
        {#                    [{{ sum_planned_3.labour_intensity__sum|default_if_none:'0' }} ч.]#}
        {#                  {% elif forloop.counter == 3 %}#}
        {#                    [{{ sum_planned_4.labour_intensity__sum|default_if_none:'0' }} ч.]#}
        {#                  {% endif %}#}
        {#                  <a href="{% url 'people:add_load' forloop.counter|add:"1" %}"><i class="fas fa-plus"></i></a>#}
        {#                </h6>#}
        {##}
        {#                <ul>#}
        {#                  {% for load in category.list %}#}
        {##}
        {#                      <li>#}
        {#                        {{ load.planned_labor }} ч.#}
        {#                        {{ load.planned_due_date }}#}
        {#                        {{ load.name }}#}
        {#                        <a href="/admin/people/load/{{ load.id }}/change/" title="Изменить в админке"><i#}
        {#                            class="far fa-edit"></i></a>#}
        {#                        <a href="/people/profile/load/{{ load.id }}/actualize/" title="Добавить в фактическую"><i#}
        {#                            class="far fa-check-circle"></i></a>#}
        {#                        <a href="/people/profile/load/{{ load.id }}/delete/"#}
        {#                           onclick="return confirm('Удалить {{ load.name }}?')" title="Удалить"><i#}
        {#                            class="far fa-trash-alt"></i></a>#}
        {#                      </li>#}
        {#                  {% endfor %}#}
        {#                  <li><a href="{% url 'people:add_load' forloop.counter|add:"1" %}">Добавить</a></li>#}
        {#                </ul>#}
        {#              </li>#}
        {#            {% endfor %}#}
        {#          </ul>#}
        {#        {% endfor %}#}
      </div>
    </div>
  </section>
{% endblock %}
{#{% block js %}#}
{#  <script src="{% static "people/js/load.js" %}"></script>#}
{#{% endblock %}#}
